--  Copyright (C) 1994-2001 Grady Booch and Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $Id: ring_test_support.ads,v 1.7 2001/09/23 15:25:10 simon Exp $

with BC.Containers;
with BC.Containers.Rings;
with BC.Containers.Rings.Bounded;
with BC.Containers.Rings.Dynamic;
with BC.Containers.Rings.Unbounded;
with BC.Support.Standard_Storage;
with Global_Heap;

package Ring_Test_Support is

   package Containers is new BC.Containers (Item => Character);

   package Rings is new Containers.Rings;

   package RB is new Rings.Bounded
     (Maximum_Size => 100);

   package RD is new Rings.Dynamic
     (Storage => Global_Heap.Storage);

   package RU is new Rings.Unbounded
     (Storage => BC.Support.Standard_Storage.Pool);

end Ring_Test_Support;
